Get database columns - SuperAI Flows
Get database columns
cURL
curl --request GET \
--url https://flows.super.ai/api/integrations/database/{db_id}/columns \
--header 'Authorization: Bearer <token>' \
--header 'X-API-Key: <api-key>'
Python
import requests
url = "https://flows.super.ai/api/integrations/database/{db_id}/columns"
headers = {
"X-API-Key": "<api-key>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)
JavaScript (Fetch)
const options = {
method: 'GET',
headers: {'X-API-Key': '<api-key>', Authorization: 'Bearer <token>'}
};
fetch('https://flows.super.ai/api/integrations/database/{db_id}/columns', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
PHP


Response Example
{
"column_count": 6,
"columns": [
"id",
"name",
"email",
"created_at",
"revenue",
"region"
],
"database_id": "123e4567-e89b-12d3-a456-426614174000"
}
Authorizations
X-API-Key (string, header, required): API key authentication. Include your API key in the X-API-Key header as:
X-API-Key YOUR_API_KEYExample:
X-API-Key: saf_1234567890Authorization (string, header, required): JWT Bearer token authentication. Include your access token in the Authorization header as:
Bearer YOUR_ACCESS_TOKENExample:
Authorization: Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9...
Path Parameters
- db_id (string, required)
Response
Status Code: 200
Content-Type: application/json
Database columns retrieved successfully. Response containing database column information. Returned by GET /database/{db_id}/columns endpoint.
- column_count (integer, required): Total number of columns (Required range:
x >= 0). Example:6 - columns (string[], required): List of column names in the database. Example:
[
"id",
"name",
"email",
"created_at",
"revenue",
"region"
]
- database_id (string, required): Database identifier. Example:
"123e4567-e89b-12d3-a456-426614174000".